Package com.databend.jdbc.cloud

## Class ExternalLocationS3.Builder

- java.lang.Object
- - com.databend.jdbc.cloud.ExternalLocationS3.Builder

Enclosing class:
  ExternalLocationS3

    public static class ExternalLocationS3.Builder
    extends Object

### Constructor Summary

Constructors
`Builder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ExternalLocationS3` `build()`
`ExternalLocationS3.Builder` `setAccessKeyId​(String accessKeyId)`
`ExternalLocationS3.Builder` `setEnableVirtualHostStyle​(boolean enableVirtualHostStyle)`
`ExternalLocationS3.Builder` `setEndpointUrl​(String endpointUrl)`
`ExternalLocationS3.Builder` `setLocation​(String location)`
`ExternalLocationS3.Builder` `setRegion​(String region)`
`ExternalLocationS3.Builder` `setSecretAccessKey​(String secretAccessKey)`
`ExternalLocationS3.Builder` `setSessionToken​(String sessionToken)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder()

### Method Detail

#### setLocation

    public ExternalLocationS3.Builder setLocation​(String location)

#### setEndpointUrl

    public ExternalLocationS3.Builder setEndpointUrl​(String endpointUrl)

#### setAccessKeyId

    public ExternalLocationS3.Builder setAccessKeyId​(String accessKeyId)

#### setSecretAccessKey

    public ExternalLocationS3.Builder setSecretAccessKey​(String secretAccessKey)

#### setSessionToken

    public ExternalLocationS3.Builder setSessionToken​(String sessionToken)

#### setRegion

    public ExternalLocationS3.Builder setRegion​(String region)

#### setEnableVirtualHostStyle

    public ExternalLocationS3.Builder setEnableVirtualHostStyle​(boolean enableVirtualHostStyle)

#### build

    public ExternalLocationS3 build()